function y = y_coodeinates_for_node(m,n)
  %
  % function y_coodeinates_for_node returns y-coodinates for 
  % input node number m
  %
  if ( (m<=0) || (n<=0) || (m>(n-1)^2) )
    error('error occur in y_coodeinates_for_node')
  end
  y = (mod(m-1,n-1)+1)/n;


